# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.77"
name = "lua-vm"
version = "0.3.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "omniLua's bytecode virtual machine and interpreter loop — internal crate; depend on `omnilua`."
homepage = "https://github.com/ianm199/omnilua"
readme = false
license = "MIT"
repository = "https://github.com/ianm199/omnilua"

[features]
opcode-profile = []

[lib]
name = "lua_vm"
path = "src/lib.rs"

[[example]]
name = "value_layout"
path = "examples/value_layout.rs"

[dependencies.lua-gc]
version = "0.3.2"

[dependencies.lua-types]
version = "0.3.2"

[lints.rust]
unsafe_code = "forbid"
